Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000752 [Piwigo] other feature always 2007.09.24 19:07 2008.10.03 11:53
Reporter flipflip View Status public  
Assigned To Pat
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.0RC2 Product Version 1.7.0
  Target Version Product Build
Summary 0000752: Ajout de trigger côté admin
Description Suite à ce post http://forum.phpwebgallery.net/viewtopic.php?id=11816 [^] je me permets de demander l'ajout de trigger dans la partie admin. Pour mes 3 plugins j'en ai particulièrement besoin a l'ajout, mise à jour, suppression d'une image ou d'un lot d'images.

Merci d'avance.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 2..x
Attached Files

- Relationships

-  Notes
(0002395)
flipflip (reporter)
2008.10.02 10:28

Dans le fichier admin/include/functions.php dans la fonction delete_elements. Un trigger qui permet d'exécuter des actions avant la suppression des informations dans la base de données :

trigger_action('begin_delete_elements', $ids);
(0002396)
Pat (developer)
2008.10.02 15:07

Je l'ajoute au prochain commit ;-)
Par contre, ca sera pour la 2.0 ;-)
(0002399)
Pat (developer)
2008.10.03 11:52

[Subversion] r2643

- Issue History
Date Modified Username Field Change
2007.09.24 19:07 flipflip New Issue
2007.09.24 19:07 flipflip browser => any
2007.09.24 19:07 flipflip Web server => Apache 2..x
2008.10.02 10:28 flipflip Note Added: 0002395
2008.10.02 15:05 Pat Status new => assigned
2008.10.02 15:05 Pat Assigned To => Pat
2008.10.02 15:07 Pat Note Added: 0002396
2008.10.03 11:52 Pat Note Added: 0002399
2008.10.03 11:53 Pat Status assigned => resolved
2008.10.03 11:53 Pat Fixed in Version => 2.0.0RC2
2008.10.03 11:53 Pat Resolution open => fixed
2008.10.03 11:53 Pat Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker